import HawAPIOptions from '../HawAPIOptions';
import { InMemoryCacheManager } from '../cache';
import { Filters, Pageable } from '../filters';
import { RequestResult } from '../models';
export declare class Service {
    options: HawAPIOptions;
    cache: InMemoryCacheManager;
    request: RequestInit;
    constructor(options: HawAPIOptions, cache: InMemoryCacheManager, request: RequestInit);
    /**
     * Method to fetch from HawAPI all resources
     * @param baseUrl The base fetch url (e.g: target and uuid)
     * @param filters The map containing all request filters
     * @param filters The map containing all pageable filters (page, size, sort and order)
     * @returns An new {@link RequestResult} with body and header information
     */
    fetch<T>(baseUrl: string, filters?: Filters | null, pageable?: Pageable | null): Promise<RequestResult<T>>;
}
